package cn.superdesk.uniorder.dubbo.consumer.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysEnterpriseExtInvoice;
import cn.superdesk.uniorder.dao.entity.organisation.SysSupplierExtInvoice;
import cn.superdesk.uniorder.dto.param.organisation.SysSupplierExtInvoiceParam;
import cn.superdesk.uniorder.dto.param.organisation.SysSupplierExtInvoiceQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboSysSupplierExtInvoiceService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 供应商|商户信息-扩展-发票相关
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-11-29 16:34:49
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-29 16:34:49
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysSupplierExtInvoiceDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysSupplierExtInvoiceService dubboSysSupplierExtInvoiceService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysSupplierExtInvoiceParam param) {

		dubboSysSupplierExtInvoiceService.addObj(param);

	}

	public void updateObj(SysSupplierExtInvoiceParam param) {

		dubboSysSupplierExtInvoiceService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysSupplierExtInvoiceService.deleteObj(id);
	}

	public SysSupplierExtInvoice findById(Long id) {

		return dubboSysSupplierExtInvoiceService.findById(id);
	}

	public PageInfo<SysSupplierExtInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysSupplierExtInvoiceService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysSupplierExtInvoice> findAll(Map<String, Object> queryMap) {

		return dubboSysSupplierExtInvoiceService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysSupplierExtInvoice(SysSupplierExtInvoiceParam param) {

		dubboSysSupplierExtInvoiceService.addSysSupplierExtInvoice(param);
	}


	public void updateSysSupplierExtInvoice(SysSupplierExtInvoiceParam param) {

		dubboSysSupplierExtInvoiceService.updateSysSupplierExtInvoice(param);
	}

	public void updateSysSupplierExtInvoiceSetDefault(SysSupplierExtInvoice entity) {
		dubboSysSupplierExtInvoiceService.updateSysSupplierExtInvoiceSetDefault(entity);
	}


	public void deleteSysSupplierExtInvoice(Long id) {
		dubboSysSupplierExtInvoiceService.deleteSysSupplierExtInvoice(id);
	}


	public SysSupplierExtInvoice findSysSupplierExtInvoiceById(Long id) {

		return dubboSysSupplierExtInvoiceService.findSysSupplierExtInvoiceById(id);
	}


	public R<List<SysSupplierExtInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysSupplierExtInvoiceService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<SysSupplierExtInvoice>> pageQueryGenericParam(SysSupplierExtInvoiceQueryCriteria queryCriteria) {

		return dubboSysSupplierExtInvoiceService.pageQueryGenericParam(queryCriteria);
	}
}
